React Native: Could not find support-vector-drawable.aar

  • A+
Category:Languages

I run react-native 0.57.1 app, then I got the following lines.

FAILURE: Build failed with an exception. * What went wrong: Could not resolve all files for configuration ':app:debugCompileClasspath'. /> Could not find support-vector-drawable.aar (com.android.support:support-vector-drawable:27.1.1).   Searched in the following locations:       https://jcenter.bintray.com/com/android/support/support-vector-drawable/27.1.1/support-vector-drawable-27.1.1.aar /> Could not find livedata-core.aar (android.arch.lifecycle:livedata-core:1.1.0).   Searched in the following locations:       https://jcenter.bintray.com/android/arch/lifecycle/livedata-core/1.1.0/livedata-core-1.1.0.aar /> Could not find viewmodel.aar (android.arch.lifecycle:viewmodel:1.1.0).   Searched in the following locations:       https://jcenter.bintray.com/android/arch/lifecycle/viewmodel/1.1.0/viewmodel-1.1.0.aar /> Could not find runtime.aar (android.arch.core:runtime:1.1.0).   Searched in the following locations:       https://jcenter.bintray.com/android/arch/core/runtime/1.1.0/runtime-1.1.0.aar 

Any suggestions? Thx in advance

 


Below worked for me, Try to put google() as the first repo as below. Don't put it under jcenter() and mavenCentral() for your existing Android Studio projects. And Just move google() from bottom to top in allprojects > repositories in build.gradle of module.

Here is the answer

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: